package com.kingdee.eas.custom.facade.worktime;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;
import com.kingdee.eas.custom.facade.worktime.*;

public class WorktimeFacde extends AbstractBizCtrl implements IWorktimeFacde
{
    public WorktimeFacde()
    {
        super();
        registerInterface(IWorktimeFacde.class, this);
    }
    public WorktimeFacde(Context ctx)
    {
        super(ctx);
        registerInterface(IWorktimeFacde.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("41DD44F7");
    }
    private WorktimeFacdeController getController() throws BOSException
    {
        return (WorktimeFacdeController)getBizController();
    }
    /**
     *¼Ó°àÉóÅúÔ¤¾¯-User defined method
     */
    public void _becomeWork() throws BOSException
    {
        try {
            getController()._becomeWork(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}